#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.0
visibility:           public
id:                   lsp-1.2.0.0-5BxOf7csNHOJ3TnR1NvuDa
key:                  lsp-1.2.0.0-5BxOf7csNHOJ3TnR1NvuDa
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  86c7439745feac4fc012f618865f9690
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.2.0.0-G18BczNZ0nd6xEr0sTdQae:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-G18BczNZ0nd6xEr0sTdQae:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.2.0.0-G18BczNZ0nd6xEr0sTdQae:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.2.0.0-G18BczNZ0nd6xEr0sTdQae:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-1.2.0.0
hs-libraries:         HSlsp-1.2.0.0-5BxOf7csNHOJ3TnR1NvuDa
depends:
    aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455
    async-2.2.3-KG7Du60y7DvAqBDAYoSjqL
    attoparsec-0.14.1-FCw2YbaswCt6roS8dkagL4 base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-8aGzV3AyDr077p6b91gXPe
    dependent-map-0.4.0.0-FO96L8D77xP9u9VM4Ft9jB directory-1.3.6.1
    filepath-1.4.2.1 hashable-1.3.3.0-LgC2GKp34OLEabneGtyuCb
    hslogger-1.3.1.0-JAhc4Ar1GDvIfwJ4Adg5iA
    lens-5.0.1-KAh7DAnq23eK3Mb3yHYdKP
    lsp-types-1.2.0.0-G18BczNZ0nd6xEr0sTdQae mtl-2.2.2
    network-uri-2.6.4.1-DJOF1HMaUfXCJujDIgDzpa
    random-1.2.1-GTaXQEmVKZP2pnqal7ZY4e
    scientific-0.3.7.0-E803LlS9vNDBghZwFKaxYk
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-Wie4T3gD5k18ShmuaDNll
    uuid-1.3.15-1JOBVZVvVZqCUhmnjfsn7V

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

